# Constant Field Values

## Contents

- dev.plex.*

## dev.plex.*

dev.plex.storage.permission.SQLPermissions
Modifier and Type
Constant Field
Value
`private static final String`
`INSERT`
`"INSERT INTO `permissions` (`uuid`, `permission`, `allowed`) VALUES(?, ?, ?)"`
`private static final String`
`REMOVE_PERMISSION`
`"DELETE FROM `permissions` WHERE uuid=? AND permission=?"`
`private static final String`
`SELECT`
`"SELECT * FROM `permissions` WHERE uuid=?"`
`private static final String`
`UPDATE_PERMISSION`
`"UPDATE `permissions` SET allowed=? WHERE uuid=? AND permission=?"`

dev.plex.storage.player.SQLPlayerData
Modifier and Type
Constant Field
Value
`private final String`
`INSERT`
`"INSERT INTO `players` (`uuid`, `name`, `login_msg`, `prefix`, `rank`, `adminActive`, `ips`, `coins`, `vanished`, `commandspy`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?);"`
`private final String`
`SELECT`
`"SELECT * FROM `players` WHERE uuid=?"`
`private final String`
`UPDATE`
`"UPDATE `players` SET name=?, login_msg=?, prefix=?, rank=?, adminActive=?, ips=?, coins=?, vanished=?, commandspy=? WHERE uuid=?"`

dev.plex.storage.punishment.SQLNotes
Modifier and Type
Constant Field
Value
`private static final String`
`DELETE`
`"DELETE FROM `notes` WHERE uuid=? AND id=?"`
`private static final String`
`INSERT`
`"INSERT INTO `notes` (`id`, `uuid`, `written_by`, `note`, `timestamp`) VALUES(?, ?, ?, ?, ?)"`
`private static final String`
`SELECT`
`"SELECT * FROM `notes` WHERE uuid=?"`
dev.plex.storage.punishment.SQLPunishment
Modifier and Type
Constant Field
Value
`private static final String`
`INSERT`
`"INSERT INTO `punishments` (`punished`, `punisher`, `punishedUsername`, `ip`, `type`, `reason`, `customTime`, `active`, `endDate`) VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?)"`
`private static final String`
`SELECT`
`"SELECT * FROM `punishments` WHERE punished=?"`
`private static final String`
`SELECT_BY`
`"SELECT * FROM `punishments` WHERE punisher=?"`
`private static final String`
`UPDATE_BAN`
`"UPDATE `punishments` SET active=? WHERE active=? AND punished=? AND type=?"`

dev.plex.util.UpdateChecker
Modifier and Type
Constant Field
Value
`private final String`
`DOWNLOAD_PAGE`
`"https://ci.plex.us.org/job/"`